Subject: Re: [DNA] Re: LinkID v.s. Landmark Prefix

From: Greg Daley <[email-masked]>
Date: Thu, 28 Jul 2005 16:18:01 +1000

Hi Subba, 

----- Original Message -----
[cut]
> >
> > In this case, no change will be detected upon arrival to
> > link M, and the previous prefix will remain configured.
> >
> 
> I am just giving one example, where H may not take wrong decision.
[cut]

I understand that LinkID is quite robust against change.

The point I originally was making was that while it is robust,
All of the schemes are flawed to some extent.

Some of the strategies described in LinkID (timers, etc)
are applicable to all schemes, and would probably be adopted
in any of the schemes now.

So the question is: Is the problem big enough that the 
advantage of advertising oldLinkID, gains significantly
over the other schemes (when timeouts and prefix retraction
advertisement are recommended)? 

Are the other schemes good enough?

I don't expect there are clear answers which everyone agrees
with, but it may be possible to discuss things until
we agree about the comparison.

Greg

---

From: JinHyeock Choi <[email-masked]>
Date: Fri, 29 Jul 2005 13:39:09 +0900

Greg
 
> Link Identifiers
> ---------------------
> 
> A Host H, exists and moves around the Internet.
> 
> On an link unvisited by the host, Link L, a prefix, P is
> retracted by one of the routers Router1. Subsequent to this,
> the actual lowest prefix on the link is Prefix Q.
> 
> 
> Another router, Router2 fails to see the prefix retraction.
> (Perhaps RAs are lost, or Router1 didn't comply with
> section 6.2.6 of RFC2461).
> 
> The prefix is then reassigned within its previous
> lifetime to another link, link M, whose lowest prefix
> was prefix T.  Link M, has also not been visited by
> host H.
> 
> Link Identifiers are in use on both Link L and
> Link M.  On Link M, all routers advertise Prefix P
> as current LinkID and Prefix T as OldLinkID.
> 
> On Link L, Router2 advertises prefix P as Current LinkID.
> 
> If the host H arrives on Link L, it may receive
> Prefix P as LinkID even though it is no longer present
> on-link.  The host would configure Prefix Q (or a higher prefix)
> which is advertised in a PIO.
> 
> If the LinkID is not contradicted, for example if there are
> no other advertising routers left on the link, when the host
> moves to Link M, it will also receive an RA with prefix P as
> the Current LinkID.  The Old LinkID will be ignored (it hasn't
> been seen before).
> 

The above example gives a problem because a linkid prefix is 
reassigned to the other link within 3 hours. 

The draft recommends that a linkid prefix should not be reassigned
to other link within 3 hours. 

If network administrator follows the recommendation, such
a problem won't happen. So I don't think we need to worry about 
this problem.  

> All of the schemes are flawed to some extent.

I can't deny the possibility but don't think your example
showed such a flaw. The false detection comes from 
human error. 

Best Regards

JinHyeock